<template>
  <div id="registration">
<h1>Registration page</h1>
total:{{total}}
<hr>
<div class="row" v-for="(user,id) in users" :key="id">
  <h4>{{user.name}}</h4>
  <button @click="registerUser(user)">Register</button>

</div>
  </div>
</template>

<script>
  export default {
    props:['users'],
    
    methods:{
      registerUser(user){
        this.$emit('userRegistered',user);
        user.registered=true;
      }
    },
    computed:{
      total(){
        return this.users.length
      }
    }
    
  }
</script>

<style scoped>
 #registration {
        box-shadow: 1px 1px 2px 1px #ccc;
        margin: 20px;
        padding: 20px;
        display: inline-block;
        width: 300px;
        vertical-align: top;
    }

    .row h4 {
        display: inline-block;
        width: 70%;
        text-align: left;
        margin: 0 0 10px 0;
    }

    button {
        background-color: lightgreen;
        border: none;
        box-shadow: 1px 1px 1px black;
        font-size: inherit;
        text-align: right;
        cursor: pointer;
    }

    button:hover {
        background-color: green;
    }

</style>